<!doctype html>
<!--[if lt IE 7]> <html class="no-js ie6 oldie" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->

<?php
/*
	Copyright 2018-2019 Bery Rinaldo

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation. A copy of the license is at
	http://www.gnu.org/licenses/gpl-2.0.html

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
*/
?>

<head>
<meta charset="utf-8">
<!-- Mobile viewport optimized: j.mp/bplateviewport -->
<meta name="viewport" content="width=device-width,initial-scale=1">

<link rel="shortcut icon" href="/images/favicon.ico"  type="image/x-icon" />
<link rel='stylesheet' id='highresponsive-fonts-css'  href='https://fonts.googleapis.com/css?family=Lato%3A300%2C400%2C700%2C900%2C300italic%2C400italic%2C700italic%2C900italic%7CPlayfair+Display%3A400%2C700%2C900%2C400italic%2C700italic%2C900italic%7CInconsolata%3A400&#038;subset=latin%2Clatin-ext' type='text/css' media='all' />

<style>
#sublogo { 
  margin:auto;
  padding:0;
}
#sublogo img{margin-left:auto; margin-right:auto; margin-top: 5px; margin-bottom: 5px; display:block; width:451px; height:81px;max-width:100%; height:auto;}

</style>
<script>
function go_away()
{
  if (window.navigator.standalone) {
    window.history.back();
  } else {
    self.close();
  }
}
</script>
<?php
# Copyright (c) 2003-2019 Bery Rinaldo & Mount Olive Lutheran Church,
#                                        Milpitas, CA

global $org_key;
$org_key = "";
global $org_name;
$org_name = "";

include '../../../wp-load.php';
$org_key = get_option( 'serviceu_calendar_orgkey' );
$org_name = get_option( 'blogname' );

#if(isset($_GET) & !empty($_GET))
#{
#	//user posted variables
#	$org_key = $_GET['orgkey'];
#	$org_name = $_GET['orgname'];
#}

# PHP will read to EOL with fgets...
$auto_detect_line_endings = TRUE;

global $debug;
$debug = 0;

global $id;
$id = "0";

if (isset($_GET['debug']) && ($_GET['debug'] !== '')) {
	$debug = $_GET['debug'];
}
if (isset($_GET['id']) && ($_GET['id'] !== '')) {
	$id = $_GET['id'];
}
if (isset($_GET['eventid']) && ($_GET['eventid'] !== '')) {
	$id = $_GET['eventid'];
}

global $fontclass;
$fontclass="face=\"'Lato',Arial,Helvetica\" ";

$random_num = rand();

/* header('Content-Type: text/html; charset=UTF-8'); */

global $gOcc_id;
global $gEvent_id;
global $gOcc_start;
global $gOcc_end;
global $gEvent_name;
global $gEvent_desc;
global $gDept;
global $gContactEmail;
global $gContactName;
global $gContactPhone;
global $gResourceList;
global $bjrsu_Display_times;

function startElement( $parser, $tagName, $attrs )
{
global $gOcc_id;
global $gEvent_id;
global $gOcc_start;
global $gOcc_end;
global $gEvent_name;
global $gEvent_desc;
global $gDept;
global $gContactEmail;
global $gContactName;
global $gContactPhone;
global $gResourceList;
global $bjrsu_Display_times;

    global $debug, $gText, $gTitle, $gLink, $gPubDate;
    if ($debug) { print "<br>DEBUG: startElement $tagName $gText <br>\n"; }
    $gText = "";
    switch( $tagName ) {
      case 'EVENT':
        $gOcc_id = "";
        $gEvent_id = "";
        $gOcc_start = "";
        $gOcc_end = "";
        $gEvent_name = "";
        $gEvent_desc = "";
	$gDept = "";
	$gContactEmail = "";
	$gContactName = "";
	$gContactPhone = "";
	$gResourceList = "";
	$bjrsu_Display_times = "";
        break;
    }
}

function endElement( $parser, $tagName )
{
global $fontclass;
global $gOcc_id;
global $gEvent_id;
global $gOcc_start;
global $gOcc_end;
global $gEvent_name;
global $gEvent_desc;
global $gDept;
global $today_today;
global $dept_param;
global $master_array;
global $debug;
global $gContactEmail;
global $gContactName;
global $gContactPhone;
global $gResourceList;
global $bjrsu_Display_times;

    global $debug, $gText, $gTitle, $gLink, $gPubDate;
    if ($debug) { print "<br>DEBUG: endElement $tagName $gText <br>\n"; }
    switch( $tagName ) {
      case 'OCCURRENCEID':
        $gOcc_id = $gText;
        break;
      case 'DISPLAYTIMES':
	$bjrsu_Display_times = $gText;
	break;
      case 'EVENTID':
        $gEvent_id = $gText;
        break;
      case 'OCCURRENCESTARTTIME':
        $gOcc_start = $gText;
        break;
      case 'OCCURRENCEENDTIME':
        $gOcc_end = $gText;
        break;
      case 'CONTACTEMAIL':
        $gContactEmail = $gText;
        break;
      case 'CONTACTNAME':
        $gContactName = $gText;
        break;
      case 'CONTACTPHONE':
        $gContactPhone = $gText;
        break;
      case 'RESOURCELIST':
        $gResourceList = $gText;
        break;
      case 'DEPARTMENTNAME':
        $gDept = $gText;
        break;
      case 'NAME':
        $gEvent_name = $gText;
        break;
      case 'DESCRIPTION':
        $gEvent_desc = preg_replace("/http:\/\/[^<>[:space:]]+[[:alnum:]\/]/i",
                     "<a target=\"_blank\" href=\"\\0\">\\0</a>", $gText);
        break;
      case 'EVENT':
        if ($debug) { print "<b>DEBUG</b> End OCCURRENCE $gOcc_id $gEvent_id $gOcc_start $gOcc_end $gEvent_name $gEvent_desc<br>\n"; }


        preg_match ("/([0-9]{2})\/([0-9]{2})\/([0-9]{4}) ([0-9]{2}):([0-9]{2}):([0-9]{2}) ([AP]M)/", $gOcc_start, $regs);
        if ($regs[7] == 'PM' && $regs[4] < 12) { $regs[4] += 12; }
        if ($regs[7] == 'AM' && $regs[4] == 12) { $regs[4] = 0; }

        $start_unixtime = mktime($regs[4], $regs[5], $regs[6], $regs[1], $regs[2], $regs[3]);
        $start_date = date("l, F j, Y",$start_unixtime);
        $start_time = date("g:i A",$start_unixtime);
        $event_date = date ("Ymd",$start_unixtime);
if ($debug) { print "DEBUG $event_date $today_today<p>\n"; }

        if ($event_date == $today_today) {
	  $color = "bgcolor=\"#ddddff\"";
        } else {
	  $color = "";
        }
        preg_match ("/([0-9]{2})\/([0-9]{2})\/([0-9]{4}) ([0-9]{2}):([0-9]{2}):([0-9]{2}) ([AP]M)/", $gOcc_end, $regs);
        if ($regs[7] == 'PM' && $regs[4] < 12) { $regs[4] += 12; }
        if ($regs[7] == 'AM' && $regs[4] == 12) { $regs[4] = 0; }

        $end_unixtime = mktime($regs[4], $regs[5], $regs[6], $regs[1], $regs[2], $regs[3]);
        $end_time = date("g:i A",$end_unixtime);
        $event_end_date = date ("Ymd",$end_unixtime);

        if ($start_time == "12:00 AM") {
          if ($end_time == "11:59 PM") {
            $display_times = "All Day Event";
          } else {
            $display_times = "Ends at $end_time";
          }
        } else {
          if ($end_time == "11:59 PM") {
            $display_times = "Starts at $start_time";
          } else {
            $display_times = "$start_time - $end_time";
          }
        }

global $org_name;
        if ($gEvent_name != "") {
          echo "<html><head><title>$gEvent_name @ $org_name</title></head>\n";
          echo "<body bgcolor=#ffffff>\n";

          echo "<div id=\"sublogo\">\n";
          # echo "<img src=\"/images/logo.gif\" alt=\"$org_name\">\n";
	  #echo "<a href=\"/\"><img border=\"0\" src=\"/images/logo.gif\" alt=\"$org_name\"></a>\n";
          print "<div style=\"width: 100%; text-align: center;\"><span style=\"font-family:'Lato',Arial,Heletica; font-size: 16pt; font-weight: 900; letter-spacing: 0.05em;\">$org_name</span><br><span style=\"font-family:'Lato',Arial,Heletica; font-size: 9pt; color: rgb(52, 52, 52);\">connections that matter</span></div><br>\n";
          echo "</div> <!-- sublogo -->\n";

          echo "<font $fontclass>\n";
          echo "<h1>$gEvent_name</h1>\n";
          echo "</font>\n";
          echo "<table width=\"100%\" border=\"0\">\n";
          echo "<tr><td valign=\"top\" nowrap><b><font $fontclass>Date:</font></b></td><td><font $fontclass>$start_date</font></td></tr>\n";
          if ($bjrsu_Display_times !== "false") {
            echo "<tr><td valign=\"top\" nowrap><b><font $fontclass>Time:</font></b></td><td><font $fontclass>$display_times</font></td></tr>\n";
          }
          echo "<tr><td valign=\"top\" nowrap><b><font $fontclass>Department:</font></b></td><td><font $fontclass>$gDept</font></td></tr>\n";
          echo "<tr><td valign=\"top\" nowrap><b><font $fontclass>Contact:</font></b></td><td><font $fontclass>$gContactName<br>$gContactPhone<br><a href=\"mailto:$gContactEmail\">$gContactEmail</a></font></td></tr>\n";
          $s = "";
	  if (strstr($gResourceList,",")) {
	    $s = "s";
	  }
          echo "<tr><td valign=\"top\" nowrap><b><font $fontclass>Room$s:</font></b></td><td><font $fontclass>$gResourceList</font></td></tr>\n";
          echo "<tr><td valign=\"top\" nowrap><b><font $fontclass>Description:</font></b></td><td><font $fontclass>$gEvent_desc</font></td></tr>\n";
          echo "</table>\n";
        } else {
          echo "<html><head><title>Event Not Found</title></head>\n";
          echo "<body bgcolor=#ffffff>\n";
          echo "Sorry, the event with ID $id was not found.<p>\n";
        }
        break;
    }
}

function charElement( $parser, $text )
{
global $gOcc_id;
global $gEvent_id;
global $gOcc_start;
global $gOcc_end;
global $gEvent_name;
global $gEvent_desc;
global $gDept;
global $gContactEmail;
global $gContactName;
global $gContactPhone;
global $gResourceList;
global $bjrsu_Display_times;

  global $debug, $gText, $gTitle, $gLink, $gPubDate;
  if ($debug) { print "<br>DEBUG: charElement $text $gText <br>\n"; }
  $gText .= trim( $text );
}


#$handle = @fopen ("http://events.serviceu.com/public/xml/getEvent.asp?intOrgID=$org_id&intOccID=$id&RN=$random_num&intVersion=1.1", "r");

global $org_key;

$url = "https://api.serviceu.com/rest/events/occurrences/$id?orgKey=$org_key";
if ($debug) {
  echo "<p> Data from: $url <p>\n";
}
$gopt = stream_context_create (array("ssl" => array("ignore_errors" => true, "verify_peer" => false, "verify_peer_name" => false, "allow_self_signed" => true)));
$handle = @fopen($url, "r", false, $gopt);


#echo "<pre>\n";

if ($handle) {

  // Create an xml parser
  $xmlParser = xml_parser_create();

  // Set up element handler
  xml_set_element_handler( $xmlParser, "startElement", "endElement" );

  // Set up character handler
  xml_set_character_data_handler( $xmlParser, "charElement" );

  while (!feof ($handle)) {
    $buffer = fgets($handle);
    xml_parse( $xmlParser, $buffer, feof($handle) );
  }
}

?>

<form><input onclick="javascript:go_away()" type=button value="OK"></form>

</body>
</html>
